/**\
|**|	CloseViewMP.h
\**/

#define SMP_TEST 0

#include <Types.h>
#include <Memory.h>
#include <Quickdraw.h>
#include <Fonts.h>
#include <fp.h>
#include <Events.h>
#include <Menus.h>
#include <Windows.h>
#include <TextEdit.h>
#include <Dialogs.h>
#include <OSUtils.h>
#include <ToolUtils.h>
#include <SegLoad.h>
#include <Sound.h>

#include "Multiprocessing.h"

// Constants & enums

enum
{
	mAppleMenu = 128,
		iAboutBox = 1,
	mFileMenu = 129,
		iQuit = 1,
	mMagMenu = 130,
	mWeightMenu = 131
};

#define kBallWidth		20
#define kBallHeight		20

#define kTextSize		8		// Size of text in each ball
#define kNumBalls		64		// only used for multi-ball

// external globals

extern UInt32		gMag;

// exported function prototypes
OSStatus CVMP_Init(UInt32 pMag);
extern void CVMP_Term(void);
extern void CVMP_DoNull(void);
extern void CVMP_DoClick(const EventRecord *pEventPtr);
extern UInt16 CVMP_SetMag(UInt16 pMag);
extern UInt16 CVMP_GetMag(void);
extern void CVMP_SetWeight(UInt16 pIndex);
extern void CVMP_SetMidPoint(Point pPoint);
extern void CVMP_Reset(void);
extern void CVMP_Update(void);
extern Boolean CVMP_Pause(Boolean pPaused);

// App externals
extern Boolean		gInBackGround;
extern WindowPtr	gWindowPtr;
extern Rect			gWindowRect;
extern WindowPtr	gWindowPtr;
extern Rect 		gMenuRect;
