/**\
|**|	HappyTrails.h
\**/

#define SMP_TEST 0

#include <Types.h>
#include <Memory.h>
#include <Quickdraw.h>
#include <Fonts.h>
#include <fp.h>
#include <Events.h>
#include <Menus.h>
#include <Windows.h>
#include <TextEdit.h>
#include <Dialogs.h>
#include <OSUtils.h>
#include <ToolUtils.h>
#include <SegLoad.h>
#include <Sound.h>

#include <Multiprocessing.h>

// Constants

#define kBallWidth		20
#define kBallHeight		20

#define kTextSize		8		// Size of text in each ball
#define kNumBalls		64		// only used for multi-ball

// external globals

extern UInt32		gNumTasks;

// exported function prototypes
OSStatus HT_Init(UInt32 pNumTasks);
extern void HT_Term(void);
extern void HT_DoNull(void);
extern void HT_DoClick(const EventRecord *pEventPtr);

// App externals
extern Boolean		gInBackGround;
extern WindowPtr	gWindowPtr;
extern Rect			gWindowRect;
extern WindowPtr	gWindowPtr;
extern Rect 		gMenuRect;
